UbixOS V2 2.0

Data Fields
dmadat Struct Reference

`#include <file.h>`

Collaboration diagram for dmadat:

## Data Fields
char | blkbuf [(1<< 12)]
char | indbuf [(1<< 12)]
char | sbbuf [8192]
char | secbuf [(1<< 9)]

## Detailed Description

Definition at line 55 of file file.h.

## Field Documentation

## ◆ blkbuf

char dmadat::blkbuf[(1<< 12)]

Definition at line 56 of file file.h.

## ◆ indbuf

char dmadat::indbuf[(1<< 12)]

Definition at line 57 of file file.h.

## ◆ sbbuf

char dmadat::sbbuf[8192]

Definition at line 58 of file file.h.

Referenced by ffs_read().

## ◆ secbuf

char dmadat::secbuf[(1<< 9)]

Definition at line 59 of file file.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/file.h